%global major_version %%(echo %%{version} | awk -F. '{print $1}')

Name:             gnome-font-viewer
Version:          43.0
Release:          1
Summary:          Utility for previewing fonts for GNOME
License:          GPLv2+
URL:              https://gitlab.gnome.org/GNOME/gnome-font-viewer
Source0:          https://download.gnome.org/sources/gnome-font-viewer/%{major_version}/%{name}-%{version}.tar.xz

BuildRequires:    pkgconfig(glib-2.0) pkgconfig(harfbuzz) pkgconfig(libadwaita-1)
BuildRequires:    pkgconfig(fontconfig) pkgconfig(freetype2) pkgconfig(gnome-desktop-4) pkgconfig(gtk4)
BuildRequires:    libappstream-glib desktop-file-utils
BuildRequires:    gcc gcc-c++ gettext meson

%description
Use gnome-font-viewer, the Font Viewer, to preview fonts and display
information about a specified font. You can use the Font Viewer to display the
name, style, type, size, version and copyright of the font.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.font-viewer.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.font-viewer.appdata.xml

%files -f %{name}.lang
%license COPYING
%doc NEWS
%{_bindir}/%{name}
%{_bindir}/gnome-thumbnail-font
%{_datadir}/applications/org.gnome.font-viewer.desktop
%{_datadir}/dbus-1/services/org.gnome.font-viewer.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.font-viewer.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.font-viewer-symbolic.svg
%{_datadir}/metainfo/org.gnome.font-viewer.appdata.xml
%{_datadir}/thumbnailers/%{name}.thumbnailer

%changelog
* Mon Jan 02 2023 lin.zhang <lin.zhang@turbolinux.com.cn> - 43.0-1
- Update to 43.0

* Wed Aug 03 2022 liukuo <liukuo@kylinos.cn> - 42.0-2
- License compliance rectification

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-1
- Update to 42.0

* Fri Feb 25 2022 yaoxin <yaoxin30@huawei.com> - 3.34.0-2
- Fix CVE-2019-19308

* Thu Jun 17 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.34.0-1
- Upgrade to 3.34.0

* Tue May 18 2021 lin.zhang <lin.zhang@turbolinux.com.cn> - 3.30.0-3
- add BuildRequires gcc gcc-c++

* Wed Dec 11 2019 likexin <likexin4@huawei.com@huawei.com> - 3.30.0-2
- package init
